Freeciv-3.1: tab_enabler Class Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Public Member Functions | Private Slots | Private Member Functions | Private Attributes
tab_enabler Class Reference

`#include <tab_enablers.h>`

Inheritance diagram for tab_enabler:

## Public Member Functions

| tab_enabler (ruledit_gui *ui_in)
void | refresh ()

## Private Slots

void | select_enabler ()
void | add_now ()
void | repair_now ()
void | incoming_req_vec_change (const requirement_vector *vec)
void | delete_now ()
void | edit_type (QAction *action)
void | edit_target_reqs ()
void | edit_actor_reqs ()

## Private Member Functions

void | update_enabler_info (struct action_enabler *enabler)
bool | initialize_new_enabler (struct action_enabler *enabler)

## Private Attributes

ruledit_gui * | ui
QToolButton * | type_button
QMenu * | type_menu
QPushButton * | act_reqs_button
QPushButton * | tgt_reqs_button
QPushButton * | delete_button
QPushButton * | repair_button
QListWidget * | enabler_list
struct action_enabler * | selected

## Detailed Description

Definition at line 36 of file tab_enablers.h.

## Constructor & Destructor Documentation

## ◆ tab_enabler()

tab_enabler::tab_enabler | ( | ruledit_gui * | ui_in | ) |

explicit

Setup tab_enabler object

Definition at line 93 of file tab_enablers.cpp.

## Member Function Documentation

## ◆ add_now

void tab_enabler::add_now | ( |  | ) |

privateslot

User requested new enabler

Definition at line 305 of file tab_enablers.cpp.

Referenced by tab_enabler().

## ◆ delete_now

void tab_enabler::delete_now | ( |  | ) |

privateslot

User requested enabler deletion

Definition at line 284 of file tab_enablers.cpp.

Referenced by tab_enabler().

## ◆ edit_actor_reqs

void tab_enabler::edit_actor_reqs | ( |  | ) |

privateslot

User wants to edit actor reqs

Definition at line 397 of file tab_enablers.cpp.

Referenced by tab_enabler().

## ◆ edit_target_reqs

void tab_enabler::edit_target_reqs | ( |  | ) |

privateslot

User wants to edit target reqs

Definition at line 386 of file tab_enablers.cpp.

Referenced by tab_enabler().

## ◆ edit_type

void tab_enabler::edit_type | ( | QAction * | action | ) |

privateslot

User selected action to enable

Definition at line 363 of file tab_enablers.cpp.

Referenced by tab_enabler().

## ◆ incoming_req_vec_change

void tab_enabler::incoming_req_vec_change | ( | const requirement_vector * | vec | ) |

privateslot

A requirement vector may have been changed.

Parameters

  vec | the requirement vector that may have been changed.

Definition at line 351 of file tab_enablers.cpp.

Referenced by tab_enabler().

## ◆ initialize_new_enabler()

bool tab_enabler::initialize_new_enabler | ( | struct action_enabler * | enabler | ) |

private

Initialize new enabler for use.

Definition at line 297 of file tab_enablers.cpp.

Referenced by add_now().

## ◆ refresh()

void tab_enabler::refresh | ( |  | ) |

Refresh the information.

Definition at line 178 of file tab_enablers.cpp.

Referenced by add_now(), delete_now(), edit_type(), ruledit_gui::launch_now(), and tab_enabler().

## ◆ repair_now

void tab_enabler::repair_now | ( |  | ) |

privateslot

User requested enabler repair

Definition at line 337 of file tab_enablers.cpp.

Referenced by tab_enabler().

## ◆ select_enabler

void tab_enabler::select_enabler | ( |  | ) |

privateslot

User selected enabler from the list.

Definition at line 268 of file tab_enablers.cpp.

Referenced by tab_enabler().

## ◆ update_enabler_info()

void tab_enabler::update_enabler_info | ( | struct action_enabler * | enabler | ) |

private

Update info of the enabler

Definition at line 206 of file tab_enablers.cpp.

Referenced by add_now(), delete_now(), edit_type(), incoming_req_vec_change(), and select_enabler().

## Field Documentation

## ◆ act_reqs_button

QPushButton* tab_enabler::act_reqs_button

private

Definition at line 51 of file tab_enablers.h.

Referenced by tab_enabler(), and update_enabler_info().

## ◆ delete_button

QPushButton* tab_enabler::delete_button

private

Definition at line 53 of file tab_enablers.h.

Referenced by tab_enabler(), and update_enabler_info().

## ◆ enabler_list

QListWidget* tab_enabler::enabler_list

private

Definition at line 55 of file tab_enablers.h.

Referenced by refresh(), select_enabler(), tab_enabler(), and update_enabler_info().

## ◆ repair_button

QPushButton* tab_enabler::repair_button

private

Definition at line 54 of file tab_enablers.h.

Referenced by tab_enabler(), and update_enabler_info().

## ◆ selected

struct action_enabler* tab_enabler::selected

private

Definition at line 57 of file tab_enablers.h.

Referenced by delete_now(), edit_actor_reqs(), edit_target_reqs(), edit_type(), refresh(), repair_now(), tab_enabler(), and update_enabler_info().

## ◆ tgt_reqs_button

QPushButton* tab_enabler::tgt_reqs_button

private

Definition at line 52 of file tab_enablers.h.

Referenced by tab_enabler(), and update_enabler_info().

## ◆ type_button

QToolButton* tab_enabler::type_button

private

Definition at line 49 of file tab_enablers.h.

Referenced by tab_enabler(), and update_enabler_info().

## ◆ type_menu

QMenu* tab_enabler::type_menu

private

Definition at line 50 of file tab_enablers.h.

Referenced by tab_enabler().

## ◆ ui

ruledit_gui* tab_enabler::ui

private

Definition at line 45 of file tab_enablers.h.

Referenced by edit_actor_reqs(), edit_target_reqs(), repair_now(), and tab_enabler().